%define major 1
%define libname %mklibname natpmp %{major}
%define develname %mklibname -d natpmp

Summary: Direct concurrent to the UPnP IGD specification
Name: libnatpmp
Version: 20120821
Release: %mkrel 3
License: LGPLv2+
Group: System/Libraries
URL: http://miniupnp.free.fr/
Source: http://miniupnp.free.fr/files/%{name}-%{version}.tar.gz

%description
libnatpmp is an attempt to make a portable and fully compliant
implementation of the protocol for the client side. It is based on non
blocking sockets and all calls of the API are asynchronous. It is
therefore very easy to integrate the NAT-PMP code to any event driven code.

%package -n %{libname}
Summary: Direct concurrent to the UPnP IGD specification
Group: System/Libraries

%description -n %{libname}
libnatpmp is an attempt to make a portable and fully compliant
implementation of the protocol for the client side. It is based on non
blocking sockets and all calls of the API are asynchronous. It is
therefore very easy to integrate the NAT-PMP code to any event driven code.

%package -n %{develname}
Summary: Header files, libraries and development documentation for libnatpmp
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname} 
This package contains the header files and development documentation for
libnatpmp. If you like to develop programs using miniupnpc, you will need
to install libnatpmp-devel.

%prep
%setup -q

%build
%make LDFLAGS="%ldflags" CFLAGS="%optflags -fPIC"

%install
make install INSTALLPREFIX=%{buildroot}%{_prefix} INSTALLDIRLIB=%{buildroot}%{_libdir}

rm -f %{buildroot}%{_libdir}/*.a

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*.h


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 20120821-3.mga4
+ Revision: 507188
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20120821-2.mga3
+ Revision: 357820
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 fwang <fwang> 20120821-1.mga3
+ Revision: 289199
- new version 20120821

* Fri Sep 02 2011 fwang <fwang> 20110808-1.mga2
+ Revision: 137976
- new version 20110808
- build with fpic
- imported package libnatpmp

